Skip to main content
`Ctrl`+`K`

# `deprecation`

Bunch of useful decorators

deprecated(func=None, reason=None, replacement=None, since_version=None, only_once=True, skip_backtrace_count=1)

  Decorator that deprecates the use of a function

  Parameters:

    - reason (str) – Reason for deprecating this function (e.g. “feature no longer provided”,

    - replacement (str) – Name of replacement function (if the reason for deprecating was to rename the function)

    - since_version (str) – First silx version for which the function was deprecated (e.g. “0.5.0”).

    - only_once (bool) – If true, the deprecation warning will only be generated one time. Default is true.

    - skip_backtrace_count (int) – Amount of last backtrace to ignore when logging the backtrace